//= require <timeinfo>

Ext.namespace('dSS11', 'dSS11.config');

dSS11.AuthPanel = Ext.extend(Ext.Panel,
    {
        initComponent: function()
        {
            var appAccess = new Ext.form.FieldSet(
                {
                    layout: 'form',
                    title:  _("Application access"),
                    scope:  this,
                    items:  [
                        {
                            height: 200,
                            xtype: 'dsstokenauthpanel',
                            bodyBorder: false
                        },
                    ] // items
                } // field set
            );

            Ext.apply(this, {
                    hideBorders: true,
                    autoScroll: true,
                    scope: this,
                    items: [
                        {
                            xtype: 'panel',
                            padding: 6,
                            width: 400,
                            items: [ appAccess ]
                        }
                    ]
                }
            );

            this.on('activate', function() {
                    if (dSS11.config.dSSIntegration === true) {
                        dSS.MessageBus.fireEvent('refreshview');
                    }
                },
                this);

            dSS11.AuthPanel.superclass.initComponent.apply(this, arguments);
        } // initcomponent
    }
);

Ext.reg('dss11authpanel', dSS11.AuthPanel);

